/*****************************************************************************/
/* PathP.h - A library for network communication.                            */
/*                                                                           */
/* PathP.h Copyright (c) 2000 Sakai Hiroaki.                                 */
/* All Rights Reserved.                                                      */
/*****************************************************************************/

/*****************************************************************************/
/* Path 饹(̿ϩΥ饹)                                               */
/* (Τ)                                                            */
/* ܤϡPath.h ȡ                                                   */
/*===========================================================================*/
/* Υե                                                        */
/*---------------------------------------------------------------------------*/
/* Υեϡץ饤١ȤʥإåեǤ                        */
/* 󥯥롼ɤƻѤʤǤ                                    */
/*****************************************************************************/

#ifndef _SAKAILIB_PATHP_H_INCLUDED_
#define _SAKAILIB_PATHP_H_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

#include "Path.h"

/*****************************************************************************/
/* إåեΥ󥯥롼(ץ饤١Ȥʤ)                          */
/*****************************************************************************/

#include "Socket.h"

/*****************************************************************************/
/* (˸ʤ)                                          */
/*****************************************************************************/

/*===========================================================================*/
/* ̿ϩ³                                                          */
/*===========================================================================*/

#ifdef  CONNECTION_DISCONNECTED
#undef  CONNECTION_DISCONNECTED
#endif
#define CONNECTION_DISCONNECTED  0 /* ³Ƥʤ */

#ifdef  CONNECTION_CONNECTED
#undef  CONNECTION_CONNECTED
#endif
#define CONNECTION_CONNECTED  0 /* ³Ƥ */

/*===========================================================================*/
/* ̿ϩξ                                                              */
/*===========================================================================*/

#ifdef  STATE_NODATA
#undef  STATE_NODATA
#endif
#define STATE_NODATA  0 /* orǡʤ */

#ifdef  STATE_ACTIVE
#undef  STATE_ACTIVE
#endif
#define STATE_ACTIVE  1 /* orԤ(ǡ) */

#ifdef  STATE_DONE
#undef  STATE_DONE
#endif
#define STATE_DONE    2 /* orѤ(ǡʤ) */

#ifdef  STATE_ERROR
#undef  STATE_ERROR
#endif
#define STATE_ERROR   3 /* 顼 */

/*****************************************************************************/
/* (˸ʤ)                                            */
/*****************************************************************************/

/* None */

/*****************************************************************************/
/* ¤Τ(˸ʤ)                                        */
/*****************************************************************************/

typedef struct _Path {
  Socket sock;         /* ̿ѤΥå */
  int file_descriptor; /* ̿ѤΥեǥץ */
  int connection;      /* ̿ϩ³ */
  int recv_state;      /* ǡξ */
  int send_state;      /* ǡξ */
  fd_set default_mask; /* select() ѤΥӥåȥޥ */
} _Path;

/*****************************************************************************/
/* ѿ(˸ʤ)                                      */
/*****************************************************************************/

/* None */

/*****************************************************************************/
/* ᥽åɤ(˸ʤ)                                      */
/*****************************************************************************/

/* None */

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
