/*****************************************************************************/
/* Path.h - A library for network communication.                             */
/*                                                                           */
/* Path.h Copyright (c) 2000 Sakai Hiroaki.                                  */
/* All Rights Reserved.                                                      */
/*****************************************************************************/

/*****************************************************************************/
/* Path 饹(̿ϩΥ饹)                                               */
/* ()                                                            */
/*===========================================================================*/
/* Υե                                                        */
/*---------------------------------------------------------------------------*/
/* Υեϡ󥯥롼ѤΥإåեǤ                  */
/* Path 饹ȤˤϡΥե򥤥󥯥롼ɤƤ           */
/*===========================================================================*/
/*                                                                       */
/*---------------------------------------------------------------------------*/
/* Фȥ饤ȴ֤Ǥ̿ϩδѤΥ饹Ǥ                    */
/* եǥץδ򤷤ޤ                                    */
/*****************************************************************************/

#ifndef _SAKAILIB_PATH_H_INCLUDED_
#define _SAKAILIB_PATH_H_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

/*****************************************************************************/
/* إåեΥ󥯥롼                                              */
/*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>    /* select() ɬ */
#include <sys/types.h> /* select() ɬ */
#include <sys/time.h>  /* select() ɬ */

/*****************************************************************************/
/* (˸)                                            */
/*****************************************************************************/

/* None */

/*****************************************************************************/
/* (˸)                                              */
/*****************************************************************************/

typedef struct _Path * Path; /* Path 饹 */

/*****************************************************************************/
/* ¤Τ(˸)                                          */
/*****************************************************************************/

/* None */

/*****************************************************************************/
/* ѿ(˸)                                        */
/*****************************************************************************/

/* None */

/*****************************************************************************/
/* ᥽åɤ(˸)                                        */
/*****************************************************************************/

int PathIsConnected(Path p);
int PathIsDisconnected(Path p);
int PathIsRecvStateNodata(Path p);
int PathIsRecvStateActive(Path p);
int PathIsRecvStateDone(Path p);
int PathIsSendStateNodata(Path p);
int PathIsSendStateActive(Path p);
int PathIsSendStateDone(Path p);
Path PathNew(int fd);
Path PathCreateToAcceptRequestsFromClients(char * hostname,
					   unsigned short int port,
					   int backlog);
Path PathCreateToCommunicateWithClient(Path path);
Path PathCreateToCommunicateWithServer(char * hostname,
				       unsigned short int port);
Path PathDestroy(Path path);
char * PathSendCharacters(Path p, char * s, int len);
int PathSendIntegerValue(Path p, int value);
double PathSendDoubleValue(Path p, double value);
#if 0
char * PathRecvCharacters(Path p);
#else
char * PathRecvCharacters(Path p, char * buffer, int size);
#endif
int PathRecvIntegerValue(Path p);
double PathRecvDoubleValue(Path p);
int PathCheckRecvState(Path p);
int PathCheckSendState(Path p);

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
